
local back = "\255\255\255\255"
local front = "\000\000\000\255"



local function f(str)
	return str
		:gsub("\n", "")
		:gsub("%s", back)
		:gsub("X", front)
end

return {

--- Meta ---

back = back,
front = front,

width = 4,
height = 4,



--- Characters ---

-- the last column is used for spacing.
-- the width and height needs to exactly match, including trailing whitespace!
-- turn on visible whitespace in your editor.

notdef = ("\255\000\255\255"):rep(4*4),



-- Letters --

a = f[[
    
 X  
X X 
 XX 
]],

b = f[[
X   
XX  
X X 
XX  
]],

c = f[[
    
 XX 
X   
 XX 
]],

d = f[[
  X 
 XX 
X X 
 XX 
]],

e = f[[
 X  
X X 
XX  
 XX 
]],

f = f[[
  X 
 X  
XXX 
 X  
]],

g = f[[
 XX 
X X 
 XX 
XX  
]],

h = f[[
X   
X   
XXX 
X X 
]],

i = f[[
 X  
    
 X  
 X  
]],

j = f[[
  X 
    
  X 
XX  
]],

k = f[[
X   
X X 
XX  
X X 
]],

l = f[[
X   
X   
X   
 XX 
]],

m = f[[
    
XX  
XXX 
X X 
]],

n = f[[
    
XX  
X X 
X X 
]],

o = f[[
    
XXX 
X X 
XXX 
]],

p = f[[
XX  
X X 
XX  
X   
]],

q = f[[
 XX 
X X 
 XX 
  X 
]],

r = f[[
    
XXX 
X   
X   
]],

s = f[[
 XX 
X   
  X 
XX  
]],

t = f[[
 X  
XXX 
 X  
 X  
]],

u = f[[
    
X X 
X X 
 XX 
]],

v = f[[
    
X X 
X X 
 X  
]],

w = f[[
    
X X 
XXX 
XX  
]],

x = f[[
    
X X 
 X  
X X 
]],

y = f[[
X X 
XXX 
  X 
XX  
]],

z = f[[
XXX 
 X  
X   
XXX 
]],



-- Numbers --

['0'] = f[[
 X  
X X 
X X 
 X  
]],

['1'] = f[[
 XX 
  X 
  X 
  X 
]],

['2'] = f[[
XX  
  X 
 X  
XXX 
]],

['3'] = f[[
XX  
  X 
XXX 
XX  
]],

['4'] = f[[
X   
XX  
XXX 
 X  
]],

['5'] = f[[
XXX 
XX  
  X 
XXX 
]],

['6'] = f[[
XXX 
XX  
X X 
XXX 
]],

['7'] = f[[
XXX 
  X 
  X 
  X 
]],

-- you really have to squint for this one ^^
['8'] = f[[
XXX 
XXX 
X X 
XXX 
]],

['9'] = f[[
XXX 
X X 
 XX 
XXX 
]],



-- Misc --

['_'] = f[[
    
    
    
XXX 
]],

[':'] = f[[
    
 X  
    
 X  
]],

[' '] = f[[
    
    
    
    
]],

-- End --

}
